defmodule ExDataGovUA.Streamers.FileStreamer do
  @chunk_size 2048
  @spec export(Stream.t(), String.t()) :: Atom.t()
  def export(stream, filename) do
    stream
    |> Stream.into(File.stream!(filename, [], @chunk_size))
  end

  @spec import(String.t()) :: File.Stream.t()
  def import(filename) do
    filename
    |> File.stream!([], @chunk_size)
  end
end
